# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::VolumeInfo Class Reference

Defines the volume parameters to be used with a MarchingCube and Volume object. More...

`#include <MarchingCubes.hpp>`

Inheritance diagram for vl::VolumeInfo:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| VolumeInfo (Volume *vol, float threshold, const fvec4 &color)
| VolumeInfo (Volume *vol, float threshold)
void | setColor (const fvec4 &col)
const fvec4 & | color () const
void | setThreshold (float t)
float | threshold () const
void | setVolume (Volume *vol)
Volume * | volume () const
void | setVert0 (int index)
int | vert0 () const
void | setVertC (int count)
int | vertC () const

## Protected Attributes

fvec4 | mColor
float | mThreshold
ref< Volume > | mVolume
int | mVert0
int | mVertC

## Detailed Description

Defines the volume parameters to be used with a MarchingCube and Volume object.

Definition at line 162 of file MarchingCubes.hpp.

## Constructor & Destructor Documentation

vl::VolumeInfo::VolumeInfo | ( | Volume * | vol,
|  | float | threshold,
|  | const fvec4 & | color
| ) |  | `[inline]`

Definition at line 167 of file MarchingCubes.hpp.

References color(), mColor, mThreshold, mVert0, mVertC, mVolume, threshold(), and VL_DEBUG_SET_OBJECT_NAME.

vl::VolumeInfo::VolumeInfo | ( | Volume * | vol,
|  | float | threshold
| ) |  | `[inline]`

Definition at line 177 of file MarchingCubes.hpp.

References mThreshold, mVert0, mVertC, mVolume, threshold(), and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::VolumeInfo::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Definition at line 165 of file MarchingCubes.hpp.

void vl::VolumeInfo::setColor | ( | const fvec4 & | col ) | `[inline]`

Definition at line 186 of file MarchingCubes.hpp.

References mColor.

const fvec4& vl::VolumeInfo::color | ( | ) | const`[inline]`

Definition at line 187 of file MarchingCubes.hpp.

References mColor.

Referenced by vl::MarchingCubes::run(), and VolumeInfo().

void vl::VolumeInfo::setThreshold | ( | float | t ) | `[inline]`

Definition at line 189 of file MarchingCubes.hpp.

References mThreshold.

float vl::VolumeInfo::threshold | ( | ) | const`[inline]`

Definition at line 190 of file MarchingCubes.hpp.

References mThreshold.

Referenced by vl::MarchingCubes::run(), and VolumeInfo().

void vl::VolumeInfo::setVolume | ( | Volume * | vol ) | `[inline]`

Definition at line 192 of file MarchingCubes.hpp.

References mVolume.

Volume* vl::VolumeInfo::volume | ( | ) | const`[inline]`

Definition at line 193 of file MarchingCubes.hpp.

References vl::ref< T >::get(), and mVolume.

Referenced by vl::MarchingCubes::run().

void vl::VolumeInfo::setVert0 | ( | int | index ) | `[inline]`

Definition at line 195 of file MarchingCubes.hpp.

References mVert0.

Referenced by vl::MarchingCubes::run().

int vl::VolumeInfo::vert0 | ( | ) | const`[inline]`

Definition at line 196 of file MarchingCubes.hpp.

References mVert0.

Referenced by vl::MarchingCubes::updateAlpha(), and vl::MarchingCubes::updateColor().

void vl::VolumeInfo::setVertC | ( | int | count ) | `[inline]`

Definition at line 198 of file MarchingCubes.hpp.

References mVertC.

Referenced by vl::MarchingCubes::run().

int vl::VolumeInfo::vertC | ( | ) | const`[inline]`

Definition at line 199 of file MarchingCubes.hpp.

References mVertC.

Referenced by vl::MarchingCubes::updateAlpha(), and vl::MarchingCubes::updateColor().

## Member Data Documentation

fvec4 vl::VolumeInfo::mColor`[protected]`

Definition at line 202 of file MarchingCubes.hpp.

Referenced by color(), setColor(), and VolumeInfo().

float vl::VolumeInfo::mThreshold`[protected]`

Definition at line 203 of file MarchingCubes.hpp.

Referenced by setThreshold(), threshold(), and VolumeInfo().

ref<Volume> vl::VolumeInfo::mVolume`[protected]`

Definition at line 204 of file MarchingCubes.hpp.

Referenced by setVolume(), volume(), and VolumeInfo().

int vl::VolumeInfo::mVert0`[protected]`

Definition at line 205 of file MarchingCubes.hpp.

Referenced by setVert0(), vert0(), and VolumeInfo().

int vl::VolumeInfo::mVertC`[protected]`

Definition at line 205 of file MarchingCubes.hpp.

Referenced by setVertC(), vertC(), and VolumeInfo().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVolume/MarchingCubes.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.